GET
/api/v1/catalog/products/{id}عرض منتج من الكتالوج
النطاق:
catalog:readBearer tokenالبيئات
- SANDBOX
- بيئة اختبار محلية أو مصرح بها؛ لا يوجد حاليًا Sandbox عام مستضاف.
- PRODUCTION
https://getsas.xyz/api/v1/catalog/products/{id}
الطلب
Headers
| Header | Value | مطلوب |
|---|---|---|
| Authorization | Bearer <ACCESS_TOKEN> | نعم |
المعاملات
| الاسم | المكان | النوع | الوصف |
|---|---|---|---|
| id | path | string · uuid | Record UUID in the installation store. Other stores' records return 404. |
أمثلة الكود
curl --request GET 'https://getsas.xyz/api/v1/catalog/products/{id}' \
--header 'Authorization: Bearer <ACCESS_TOKEN>'الاستجابة
200 Product with options and variants
{
"description": "Product with options and variants",
"headers": {
"RateLimit-Limit": {
"$ref": "#/components/headers/RateLimitLimit"
},
"RateLimit-Remaining": {
"$ref": "#/components/headers/RateLimitRemaining"
},
"RateLimit-Reset": {
"$ref": "#/components/headers/RateLimitReset"
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ProductDetailResponse"
}
}
}
}الأخطاء
| 400 | Invalid request |
| 401 | Missing or invalid access token |
| 403 | The route, scope and reviewed contract do not match an operation this token can use (unsupported_capability) |
| 404 | The record does not exist in the installation store (records of other stores are indistinguishable), or the Marketplace API is unavailable |
| 429 | Fixed-window request limit exceeded for this installation and route key |
| 500 | Internal API failure |
| 503 | Rate-limit service unavailable; request is rejected closed |